SYNFIG(1)

NAME
synfig - 2D vector animation package

SYNOPSIS
synfig [DEFAULT OPTIONS] ([SIF FILE] [SPECIFIC OPTIONS])...

OPTIONS

-t <output type>
    Specify output target (Default:unknown)

-w <pixel width>
    Set the image width (Use zero for file default)

-h <pixel height>
    Set the image height (Use zero for file default)

-s <image dist>
    Set the diagonal size of image window (Span)

-a <1...30>
    Set antialias amount for parametric renderer.

-Q <0...10>
    Specify image quality for accelerated renderer (default=2)

-g <amount>
    Gamma (default=2.2)

-v  Verbose Output (add more for more verbosity)

-q  Quiet mode (No progress/time-remaining display)

-c <canvas id>
    Render the canvas with the given id instead of the root.

-o <output file>
    Specify output filename

-T <# of threads>
    Enable multithreaded renderer using specified # of threads

-b  Print Benchmarks

--fps <framerate>
    Set the frame rate

--time <time>
    Render a single frame at <seconds>

--begin-time <time>
    Set the starting time

--end-time <time>
    Set the ending time

--dpi <res>
    Set the dots-per-inch

--dpi-x <res>
    Set the X dots-per-inch

--dpi-y <res>
    Set the Y dots-per-inch

--list-canvases
    List the exported canvases in the composition

--append <filename>
    Append layers in <filename> to composition

--layer-info <layer>
    Print out layer's description, parameter info, etc.

--layers
    Print out the list of available layers

--targets
    Print out the list of available targets

--importers
    Print out the list of available importers

--valuenodes
    Print out the list of available ValueNodes

--modules
    Print out the list of loaded modules

--version
    Print out version information

--info
    Print out misc build information

--license
    Print out license information